summaryrefslogtreecommitdiffstats
path: root/csit/plans/filesprocessingconfigpmmapper
diff options
context:
space:
mode:
authorRemigiusz Janeczek <remigiusz.janeczek@nokia.com>2021-05-26 17:58:44 +0200
committerTomasz Wrobel <tomasz.wrobel@nokia.com>2021-06-01 09:12:31 +0200
commit6ddc310d6785bf45a8ccc6d8de8abbeedf490f8a (patch)
tree6f666138fa6aace3019dcee4437d9ef5d84bc9cd /csit/plans/filesprocessingconfigpmmapper
parenta3f68d14609fc94ec89e3eb724664a62bc2b0210 (diff)
PM-Mapper CSIT image pulls enhancements
- Add nexus3.onap.org repository to external images to avoid dockerhub pull limits. - Remove repository from PM-Mapper image to force use of image built earlier with maven. .gitignore update. - Add DMaaP healthcheck to setup.sh scripts Issue-ID: DCAEGEN2-2796 Issue-ID: DCAEGEN2-2799 Change-Id: Ie98336b91b37d61767049d4857b016fb618e4e8e Signed-off-by: Remigiusz Janeczek <remigiusz.janeczek@nokia.com>
Diffstat (limited to 'csit/plans/filesprocessingconfigpmmapper')
-rw-r--r--csit/plans/filesprocessingconfigpmmapper/setup.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/csit/plans/filesprocessingconfigpmmapper/setup.sh b/csit/plans/filesprocessingconfigpmmapper/setup.sh
index 5f0b41b..0a86c0a 100644
--- a/csit/plans/filesprocessingconfigpmmapper/setup.sh
+++ b/csit/plans/filesprocessingconfigpmmapper/setup.sh
@@ -78,6 +78,18 @@ for i in {1..5}; do
done
[ "$containers_ok" = "false" ] && echo "Error: required container not running." && exit 1
+#Data Router healthcheck
+for i in $(seq 10); do
+ curl -sf 'http://localhost:8080/internal/prov' -o /dev/null
+ curl_status=$?
+ if [ curl_status -eq 0 ]; then
+ break
+ else
+ sleep 2
+ fi
+done
+
+
# Data Router Configuration.
docker exec -i datarouter-prov sh -c \
"curl -k -X PUT https://$DR_PROV_IP:8443/internal/api/NODES?val=dmaap-dr-node\|$GATEWAY_IP"